#!/etc/opt/openit/perl -w

my $cfg = "/etc/opt/openit/openit.cfg";
my $old = "/etc/opt/openit/openit.cfg.old";
my $new = "/etc/opt/openit/openit.cfg.new";

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
open(IN, "<$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";


# Substitue in file
my $found = 0;
my $endnl = 1;
while(my $line = <IN>) {
    if($line =~ /^ACCOUNT_AT_STARTTIME/) {
        $found = 1;
    }
    print OUT $line;
    if( $line =~ m/\n$/ ) {
	$endnl = 1;
    } else {
	$endnl = 0;
    }
}
if( ! $found ) {
    if( $endnl == 0 ) {
	print OUT "\n";
    }
    print OUT "ACCOUNT_AT_STARTTIME y\n";
}
close(IN);
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

chmod(0644, $cfg);

exit 0;
